# Contributing to the project

Everyone is welcome to contribute to the project. Contributing does not just
mean submitting patches. There are many different ways for you to get involved,
including answering questions on the mailing lists, reporting and triaging bugs,
and participating in the design discussions.

## Coding Standards

See [CodingStandards.md](docs/CodingStandards.md).

## Pull Requests

We actively welcome your pull requests.

* Fork the repo and create your branch from `master`.
* Create your PR.
* Make sure added code has test coverage. Unit tests will automatically run for you.
  For more complicated changes run additional [Glow test suite](docs/Testing.md).
* PRs are expected to have 100% test coverage for the added code.
  This can be verified with the coverage build.
* Your PR title should be descriptive, and generally, start with a specific
  subsystem enclosed in square braces. For example:
  * [Quantization] Support multi-output nodes.
  * [Docs] Fix grammar errors.
* If PR is not trivial, your PR description should have details on what the PR
  does.
* Every PR needs to be reviewed by at least one [maintainer](#maintainers)
  before it can be merged.
* When all of the tests are passing and all other conditions described above
  satisfied, the PR is ready for review and merge.

## Issues

We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

## Maintainers

* Artem Rakhov ([artemrakhov](https://github.com/artemrakhov))
* Bert Maher ([bertmaher](https://github.com/bertmaher))
* Garret Catron ([gcatron](https://github.com/gcatron))
* Jakob Stoklund Olesen ([stoklund](https://github.com/stoklund))
* James Hegeman ([hegemanjwh2](https://github.com/hegemanjwh2))
* Jordan Fix ([jfix71](https://github.com/jfix71))
* Man Wang ([beicy](https://github.com/beicy))
* Meghan Lele ([SplitInfinity](https://github.com/SplitInfinity))
* Nadav Rotem ([nadavrot](https://github.com/nadavrot))
* Quentin Colombet ([qcolombet](https://github.com/qcolombet))
* Roman Dzhabarov ([rdzhabarov](https://github.com/rdzhabarov))
* Roman Levenstein ([opti-mix](https://github.com/opti-mix))

## License

By contributing to the project, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
